From 1183ce7bee4628466e57014cca2274b555694fdc Mon Sep 17 00:00:00 2001
From: Mark Hodgkinson <mhodgkin@aiatlas025.cern.ch>
Date: Thu, 23 Jul 2020 13:11:59 +0200
Subject: [PATCH 1/2] Update test_reco_tf_compare_SerialAndThreadedAthenas.sh
 to disable trigger in reco step, to facilitate diff-root not finding known
 trigger differences between MT and serial. Also move preExec into one
 predefined string for ease of updating.

---
 .../test_reco_tf_compare_SerialAndThreadedAthenas.sh   | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/Reconstruction/RecExample/RecExRecoTest/test/test_reco_tf_compare_SerialAndThreadedAthenas.sh b/Reconstruction/RecExample/RecExRecoTest/test/test_reco_tf_compare_SerialAndThreadedAthenas.sh
index 236189a84941..ee46bc03edd8 100755
--- a/Reconstruction/RecExample/RecExRecoTest/test/test_reco_tf_compare_SerialAndThreadedAthenas.sh
+++ b/Reconstruction/RecExample/RecExRecoTest/test/test_reco_tf_compare_SerialAndThreadedAthenas.sh
@@ -1,8 +1,10 @@
 #!/bin/bash
 
+preExecString = 'RAWtoESD:from RecExConfig.RecFlags import rec;rec.doTrigger.set_Value_and_Lock(False);from AthenaMonitoring.DQMonFlags import jobproperties;jobproperties.DQMonFlagsCont.doMonitoring.set_Value_and_Lock(False)'
+
 echo "Creating new serial directory"
 mkdir serial; cd serial
-Reco_tf.py --AMI=$1 --preExec='RAWtoESD:from AthenaMonitoring.DQMonFlags import jobproperties;jobproperties.DQMonFlagsCont.doMonitoring.set_Value_and_Lock(False)' --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root | tee athenaSerial.log
+Reco_tf.py --AMI=$1 --preExec=preExecString --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root | tee athenaSerial.log
 rc=${PIPESTATUS[0]}
 echo "art-result: $rc Serial"
 
@@ -12,7 +14,7 @@ cd ../
 echo "Creating new threadOne directory"
 mkdir threadOne; cd threadOne
 
-Reco_tf.py --athenaopts="--threads=1" --AMI=$1 --preExec='RAWtoESD:from AthenaMonitoring.DQMonFlags import jobproperties;jobproperties.DQMonFlagsCont.doMonitoring.set_Value_and_Lock(False)' --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root | tee athenaOneThread.log
+Reco_tf.py --athenaopts="--threads=1" --AMI=$1 --preExec=preExecString --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root | tee athenaOneThread.log
 rc1=${PIPESTATUS[0]}
 echo "art-result: $rc1 OneThread"
 
@@ -34,7 +36,7 @@ cd ../
 echo "Creating new threadTwo directory"
 mkdir threadTwo; cd threadTwo
 
-Reco_tf.py --athenaopts="--threads=2" --AMI=$1 --preExec='RAWtoESD:from AthenaMonitoring.DQMonFlags import jobproperties;jobproperties.DQMonFlagsCont.doMonitoring.set_Value_and_Lock(False)' --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root | tee athenaTwoThreads.log
+Reco_tf.py --athenaopts="--threads=2" --AMI=$1 --preExec=preExecString --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root | tee athenaTwoThreads.log
 rc2=${PIPESTATUS[0]}
 echo "art-result: $rc2 TwoThreads"
 
@@ -52,7 +54,7 @@ cd ../
 echo "Creating new threadFive directory"
 mkdir threadFive; cd threadFive
 
-Reco_tf.py --athenaopts="--threads=5" --AMI=$1 --preExec='RAWtoESD:from AthenaMonitoring.DQMonFlags import jobproperties;jobproperties.DQMonFlagsCont.doMonitoring.set_Value_and_Lock(False)' --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root | tee athenaFiveThreads.log
+Reco_tf.py --athenaopts="--threads=5" --AMI=$1 --preExec=preExecString --outputAODFile=myAOD.pool.root --outputESDFile=myESD.pool.root | tee athenaFiveThreads.log
 rc5=${PIPESTATUS[0]}
 echo "art-result: $rc5 FiveThreads"
 
-- 
GitLab


From 73018b56cfdf034b8cb2a5c85193a5851a5a977f Mon Sep 17 00:00:00 2001
From: Mark Hodgkinson <mhodgkin@aiatlas025.cern.ch>
Date: Thu, 23 Jul 2020 15:44:13 +0200
Subject: [PATCH 2/2] Add tests running on data18 with and without fpe enabled.
 Remove data17 fpe test because we only run with fpe on the latest data.

---
 .../test/test_data17_13tev_fpe.sh             | 17 -----------------
 .../test/test_data18_13TeV.sh                 | 19 +++++++++++++++++++
 .../test/test_data18_13TeV_notrigger_fpe.sh   | 19 +++++++++++++++++++
 3 files changed, 38 insertions(+), 17 deletions(-)
 delete mode 100755 Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev_fpe.sh
 create mode 100755 Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV.sh
 create mode 100755 Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV_notrigger_fpe.sh

diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev_fpe.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev_fpe.sh
deleted file mode 100755
index a09d6d63ccee..000000000000
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_data17_13tev_fpe.sh
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-#
-# art-description: Reco_tf runs on 13TeV collision data with floating point exception enabled 2017
-# art-athena-mt: 4
-# art-type: grid
-# art-include: 21.0/Athena
-# art-include: 21.0-TrigMC/Athena
-# art-include: master/Athena
-# art-include: 21.3/Athena
-# art-include: 21.9/Athena
-
-
-Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data17_13TeV.00324910.physics_Main.daq.RAW._lb0713._SFO-6._0001.data --maxEvents -1 --AMI=f908 --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputHISTFile myHist.root --preExec 'rec.doFloatingPointException=True;rec.doTrigger=False;' --postExec 'FPEAuditor.NStacktracesOnFPE=5'
-
-RES=$?
-echo "art-result: $RES Reco"
-return $RES
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV.sh
new file mode 100755
index 000000000000..76baafd63105
--- /dev/null
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# art-description: Reco_tf runs on 13TeV collision data 2018
+# art-athena-mt: 4
+# art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
+
+Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data18_13TeV/data18_13TeV.00348885.physics_Main.daq.RAW._lb0827._SFO-8._0002.data --maxEvents 300 --AMI=f926 --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputHISTFile myHist.root
+
+#Remember retval of transform as art result
+RES=$?
+echo "art-result: $RES Reco"
+return $RES
+
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV_notrigger_fpe.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV_notrigger_fpe.sh
new file mode 100755
index 000000000000..a666fe9fc796
--- /dev/null
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_data18_13TeV_notrigger_fpe.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# art-description: Reco_tf runs on 13TeV collision data 2018
+# art-athena-mt: 4
+# art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
+
+Reco_tf.py --inputBSFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/RecJobTransformTests/data18_13TeV/data18_13TeV.00348885.physics_Main.daq.RAW._lb0827._SFO-8._0002.data --maxEvents 300 --AMI=f926 --outputESDFile myESD.pool.root --outputAODFile myAOD.pool.root --outputHISTFile myHist.root --preExec 'rec.doFloatingPointException=True;rec.doTrigger=False;' --postExec 'FPEAuditor.NStacktracesOnFPE=5'
+
+#Remember retval of transform as art result
+RES=$?
+echo "art-result: $RES Reco"
+return $RES
+
-- 
GitLab